/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package com.rjconsultores.ventaboletos.web.utilerias.render;

import com.rjconsultores.ventaboletos.entidad.CortesiaBeneficiario;
import com.rjconsultores.ventaboletos.entidad.TipoCortesiaDescuento;
import java.text.DecimalFormat;
import java.text.SimpleDateFormat;
import org.zkoss.zul.Listcell;
import org.zkoss.zul.Listitem;
import org.zkoss.zul.ListitemRenderer;

/**
 *
 * @author Shiro
 */
public class RenderCortesiaBeneficiario implements ListitemRenderer {

    public void render(Listitem lstm, Object o) throws Exception {
        CortesiaBeneficiario cortesiaBeneficiario = (CortesiaBeneficiario) o;
        DecimalFormat df = new DecimalFormat("###,###,##0.00", new java.text.DecimalFormatSymbols(java.util.Locale.US));
        
        StringBuilder sb = new StringBuilder("");
        if (cortesiaBeneficiario.getNombBenef() != null){
            sb.append(cortesiaBeneficiario.getNombBenef()).append(" ");
        }
        if (cortesiaBeneficiario.getNombPaterno()!= null){
            sb.append(cortesiaBeneficiario.getNombPaterno()).append(" ");
        }
        if (cortesiaBeneficiario.getNombMaterno()!= null){
            sb.append(cortesiaBeneficiario.getNombMaterno());
        }
        Listcell lc = new Listcell(sb.toString());
        lc.setParent(lstm);

        if (cortesiaBeneficiario.getIndtipobenef() != null) {
            String status;
            if (cortesiaBeneficiario.getIndtipobenef().equals("E")) {
                status = "Empleado";
            } else {
                status = "Familiar";
            }
            lc = new Listcell(status);
        } else {
            lc = new Listcell("-");
        }
        lc.setParent(lstm);

        TipoCortesiaDescuento tcd = cortesiaBeneficiario.getDescuento();
        if (tcd != null) {
            lc = new Listcell(df.format(tcd.getPorcdescuento()));
        } else {
            lc = new Listcell("-");
        }
        lc.setParent(lstm);

        lstm.setAttribute("data", cortesiaBeneficiario);
    }
}
