/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package com.rjconsultores.ventaboletos.web.utilerias.render;

import com.rjconsultores.ventaboletos.entidad.Estado;
import com.rjconsultores.ventaboletos.utilerias.ApplicationProperties;
import org.zkoss.zul.Listcell;
import org.zkoss.zul.Listitem;
import org.zkoss.zul.ListitemRenderer;

/**
 *
 * @author MCosso
 */
public class RenderEstado implements ListitemRenderer {

    public void render(Listitem lstm, Object o) throws Exception {
        Estado estado = (Estado) o;

        Listcell lc = new Listcell();

        lc = new Listcell(estado.getEstadoId().toString());
        lc.setParent(lstm);

        lc = new Listcell(estado.getNombestado());
        lc.setParent(lstm);

        if (estado.getPais() != null) {
            lc = new Listcell(estado.getPais().getNombpais());
        } else {
            lc = new Listcell("");
        }
        lc.setParent(lstm);

        if (ApplicationProperties.getInstance().mostrarEquivalencia()) {
            lc = new Listcell(estado.getEquivalenciaId());
            lc.setParent(lstm);
        }

        lstm.setAttribute("data", estado);
    }
}
