/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package com.rjconsultores.ventaboletos.web.utilerias.render;

import com.rjconsultores.ventaboletos.entidad.Perfil;
import com.rjconsultores.ventaboletos.entidad.Usuario;
import org.zkoss.zul.Listcell;
import org.zkoss.zul.Listitem;
import org.zkoss.zul.ListitemRenderer;

/**
 *
 * @author rodrigo
 */
public class RenderUsuario implements ListitemRenderer {

    public void render(Listitem lstm, Object o) throws Exception {
        Usuario usuario = (Usuario) o;

        Listcell lc = new Listcell(usuario.getUsuarioId().toString());
        lc.setParent(lstm);

        lc = new Listcell(usuario.getClaveUsuario());
        lc.setParent(lstm);

        lc = new Listcell(usuario.getEmpleado() == null ? "" : usuario.getEmpleado().getCveEmpleado());
        lc.setParent(lstm);

        lc = new Listcell(usuario.getNombusuario());
        lc.setParent(lstm);

        lc = new Listcell(usuario.getNombpaterno());
        lc.setParent(lstm);

        lc = new Listcell(usuario.getNombmaterno());
        lc.setParent(lstm);

        if (!usuario.getUsuarioPerfilList().isEmpty()) {
            Perfil p = usuario.getUsuarioPerfilList().get(0).getPerfil();
            if (p != null) {
                lc = new Listcell(p.getDescperfil());
            } else {
                lc = new Listcell("");
            }
            lc.setParent(lstm);
        }

        lstm.setAttribute("data", usuario);
    }
}
