/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package com.rjconsultores.ventaboletos.web.gui.controladores.recaudacion;

import com.rjconsultores.ventaboletos.entidad.Conductor;
import com.rjconsultores.ventaboletos.service.ConductorService;
import com.rjconsultores.ventaboletos.web.utilerias.MyGenericForwardComposer;
import java.util.HashMap;
import java.util.Map;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.context.annotation.Scope;
import org.springframework.stereotype.Controller;
import org.zkoss.util.resource.Labels;
import org.zkoss.zhtml.Messagebox;
import org.zkoss.zk.ui.event.Event;
import org.zkoss.zul.Textbox;

/**
 *
 * @author Administrador
 */
@Controller("loginConductorController")
@Scope("prototype")
public class LoginConductorController extends MyGenericForwardComposer {

    @Autowired
    private ConductorService conductorService;
    private Textbox txtClaveConductor;
    private Textbox txtContraSenha;

    public void onClick$btnAcessar(Event ev) throws InterruptedException {
        String claveConductor = txtClaveConductor.getValue();
        String contraSenha = txtContraSenha.getValue();

        Conductor conductor = conductorService.buscar(claveConductor, contraSenha);

        if (conductor != null) {
            Integer opcao = Messagebox.show(
                    Labels.getLabel("winLoginConductorRecaudacion.conductor.corecto") + "\n\n"
                    + Labels.getLabel("winLoginConductorRecaudacion.conductor.nombre") + conductor.getNombconductor() + ", "
                    + Labels.getLabel("winLoginConductorRecaudacion.conductor.clave") + conductor.getConductorId(),
                    Labels.getLabel("winLoginConductorRecaudacion.title"),
                    Messagebox.YES | Messagebox.NO, Messagebox.QUESTION);

            if (opcao.equals(Messagebox.YES)) {
                Map args = new HashMap();
                args.put("claveConductor", conductor.getConductorId());

                openWindow("/gui/recaudacion/busquedaTarjetaRecaudacion.zul",
                        Labels.getLabel("busquedaTarjetaRecaudacionController.window.title"), args, MODAL);

                closeWindow();
            } else {
                Messagebox.show(
                        Labels.getLabel("winLoginConductorRecaudacion.lblloginIncorreto"),
                        Labels.getLabel("winLoginConductorRecaudacion.title"),
                        Messagebox.OK, Messagebox.INFORMATION);
            }
        }
    }
}
