/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package com.rjconsultores.ventaboletos.web.utilerias.render;

import com.rjconsultores.ventaboletos.entidad.ProdPrecio;
import java.math.RoundingMode;
import java.text.DecimalFormat;
import java.text.SimpleDateFormat;
import org.zkoss.zul.Listcell;
import org.zkoss.zul.Listitem;
import org.zkoss.zul.ListitemRenderer;

/**
 *
 * @author Rafius
 */
public class RenderCyberViajeProdPrecio implements ListitemRenderer {

    public void render(Listitem lstm, Object o) throws Exception {
        ProdPrecio prodMarca = (ProdPrecio) o;
        SimpleDateFormat formatoData = new SimpleDateFormat("dd/MM/yyyy");
        DecimalFormat df = new DecimalFormat("###,###,##0.00", new java.text.DecimalFormatSymbols(java.util.Locale.US));

        Listcell lc = null;

        lc = new Listcell(prodMarca.getMarca() == null ? "" : prodMarca.getMarca().getDescmarca());
        lc.setParent(lstm);
        lc = new Listcell(prodMarca.getImporteinicial() == null ? "" : df.format(prodMarca.getImporteinicial()));
        lc.setParent(lstm);
        lc = new Listcell(prodMarca.getImportefinal() == null ? "" : df.format(prodMarca.getImportefinal()));
        lc.setParent(lstm);
        lc = new Listcell(prodMarca.getPrecio() == null ? "" : df.format(prodMarca.getPrecio()));
        lc.setParent(lstm);


        lstm.setAttribute("data", prodMarca);
    }
}
