/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package com.rjconsultores.ventaboletos.web.utilerias.render;

import com.rjconsultores.ventaboletos.entidad.Ciudad;
import com.rjconsultores.ventaboletos.entidad.Empresa;
import com.rjconsultores.ventaboletos.entidad.PuntoVenta;
import org.zkoss.zul.Listcell;
import org.zkoss.zul.Listitem;
import org.zkoss.zul.ListitemRenderer;

/**
 *
 * @author Administrador
 */
public class RenderPuntoVenta implements ListitemRenderer {

    public void render(Listitem lstm, Object o) throws Exception {
        PuntoVenta puntoVenta = (PuntoVenta) o;

        Listcell lc = new Listcell(puntoVenta.getPuntoventaId().toString());
        lc.setParent(lstm);

        lc = new Listcell(puntoVenta.getNombpuntoventa());
        lc.setParent(lstm);

        Empresa empresa = puntoVenta.getEmpresa();
        if (empresa != null) {
            lc = new Listcell(empresa.getNombempresa());
        } else {
            lc = new Listcell("");
        }
        lc.setParent(lstm);

        lc = new Listcell(puntoVenta.getDireccioncalle());
        lc.setParent(lstm);

        lc = new Listcell(puntoVenta.getDireccionnumero());
        lc.setParent(lstm);

        lc = new Listcell(puntoVenta.getNumtelefonouno());
        lc.setParent(lstm);

        lc = new Listcell(puntoVenta.getNumtelefonodos());
        lc.setParent(lstm);

        lstm.setAttribute("data", puntoVenta);
    }
}
